# Place Custom Block Function
function sflb_blocks:custom_block/place_block

# Tags
tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Luck run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_n
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Luck run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_n
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Giant run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_g
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Giant run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_g
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Well run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_w
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Well run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_w
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Rainbow run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_r
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Rainbow run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_r
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Destruction run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_d
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Destruction run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_d
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.RandomLuck run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_n
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.RandomLuck run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_n
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.RandomLuck run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_random
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.RandomLuck run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_random
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Player run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_p
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Player run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] add sflb_lb_p

# Remove Tags
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Giant run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] remove sflb_lb_n
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Giant run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] remove sflb_lb_n
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Well run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] remove sflb_lb_n
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Well run tag @e[tag=sflb_custom_block,sort=nearest,limit=1] remove sflb_lb_n

# Luck
schedule function sflb_system:luck_system 5t replace
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.RandomLuck as @e[tag=sflb_lb,sort=nearest,limit=1] run function sflb_utilities:randomizer/luck_randomizer
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.RandomLuck as @e[tag=sflb_lb,sort=nearest,limit=1] run function sflb_system:randomizer/luck_randomizer
execute if data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s SelectedItem.tag.Luck store result score @e[tag=sflb_lb,limit=1,sort=nearest] sflb_luck run data get entity @p SelectedItem.tag.Luck
execute unless data entity @s SelectedItem{tag:{SFLBcustomblock:1}} if data entity @s Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Luck store result score @e[tag=sflb_lb,limit=1,sort=nearest] sflb_luck run data get entity @p Inventory[{Slot:-106b,tag:{SFLBcustomblock:1}}].tag.Luck

# Revoke Advancement
advancement revoke @s only sflb_blocks:place_block/super_furious_lucky_block