#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\lucky.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..2 run function sflb_drops:pat_and_jen/wells/cloud_well
execute if score @s sflb_result matches 3..4 run function sflb_drops:pat_and_jen/wells/furious_well
execute if score @s sflb_result matches 5..6 run function sflb_drops:pat_and_jen/wells/super_girly_well
execute if score @s sflb_result matches 7 run function sflb_drops:pat_and_jen/wells/super_furious_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 8 run function sflb_drops:pat_and_jen/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 9 run function sflb_drops:pat_and_jen/crafting_dead/hairy_finger
execute if score @s sflb_result matches 10 run function sflb_drops:pat_and_jen/crafting_dead/honey_boo_boo
execute if score @s sflb_result matches 11 run function sflb_drops:pat_and_jen/items/balls
execute if score @s sflb_result matches 12 run function sflb_drops:pat_and_jen/items/cloud_spawn_egg
execute if score @s sflb_result matches 13 run function sflb_drops:pat_and_jen/items/giant_sword
execute if score @s sflb_result matches 14 run function sflb_drops:pat_and_jen/items/thunder_spawn_egg
execute if score @s sflb_result matches 15 run function sflb_drops:pat_and_jen/mobs/charles
execute if score @s sflb_result matches 16 run function sflb_drops:pat_and_jen/mobs/kami_and_popo
execute if score @s sflb_result matches 17 run function sflb_drops:pat_and_jen/mobs/thunder
execute if score @s sflb_result matches 18 run function sflb_drops:pat_and_jen/structures/furious_tower_small
execute if score @s sflb_result matches 19 run function sflb_drops:pat_and_jen/structures/hunger_games_1
execute if score @s sflb_result matches 20 run function sflb_drops:pat_and_jen/structures/jens_house_2014
execute if score @s sflb_result matches 21 run function sflb_drops:pat_and_jen/structures/pats_house_2014
execute if score @s sflb_result matches 22 run function sflb_drops:pat_and_jen/structures/super_furious_tower_small
execute if score @s sflb_result matches 23 run function sflb_drops:pat_and_jen/structures/super_girly_tower_small
execute if score @s sflb_result matches 24 run function sflb_drops:pat_and_jen/voiced_drops/selfie_with_my_feet