#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\neutral.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..5 run function sflb_drops:super_furious/wells/normal_well
execute if score @s sflb_result matches 6..8 run function sflb_drops:super_furious/wells/rainbow_well
execute if score @s sflb_result matches 9..10 run function sflb_drops:super_furious/wells/destruction_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 11..15 run function sflb_drops:super_furious/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 16 run function sflb_drops:super_furious/falling_blocks/gold_block
execute if score @s sflb_result matches 17 run function sflb_drops:super_furious/falling_blocks/iron_block
execute if score @s sflb_result matches 18 run function sflb_drops:super_furious/falling_blocks/lapis_tower
execute if score @s sflb_result matches 19 run function sflb_drops:super_furious/falling_blocks/redstone_tower
execute if score @s sflb_result matches 20 run function sflb_drops:super_furious/chests/abandoned_mineshaft
execute if score @s sflb_result matches 21 run function sflb_drops:super_furious/chests/igloo_chest
execute if score @s sflb_result matches 22 run function sflb_drops:super_furious/chests/shipwreck_supply
execute if score @s sflb_result matches 23 run function sflb_drops:super_furious/chests/spawn_bonus_chest
execute if score @s sflb_result matches 24 run function sflb_drops:super_furious/chests/woodland_mansion
execute if score @s sflb_result matches 25 run function sflb_drops:super_furious/events/choices_lucky_unlucky_1
execute if score @s sflb_result matches 26 run function sflb_drops:super_furious/events/choices_lucky_unlucky_2
execute if score @s sflb_result matches 27 run function sflb_drops:super_furious/items/bow_and_arrows_1
execute if score @s sflb_result matches 28 run function sflb_drops:super_furious/items/buckets
execute if score @s sflb_result matches 29 run function sflb_drops:super_furious/items/cake
execute if score @s sflb_result matches 30 run function sflb_drops:super_furious/items/chain_armor
execute if score @s sflb_result matches 31 run function sflb_drops:super_furious/items/food
execute if score @s sflb_result matches 32 run function sflb_drops:super_furious/items/glazed_terracotta
execute if score @s sflb_result matches 33 run function sflb_drops:super_furious/items/god_hoe
execute if score @s sflb_result matches 34 run function sflb_drops:super_furious/items/gold_armor
execute if score @s sflb_result matches 35 run function sflb_drops:super_furious/items/golden_horse_armor
execute if score @s sflb_result matches 36 run function sflb_drops:super_furious/items/iron_tools
execute if score @s sflb_result matches 37 run function sflb_drops:super_furious/items/mystery_potion
execute if score @s sflb_result matches 38 run function sflb_drops:super_furious/items/paralyzing_potion
execute if score @s sflb_result matches 39 run function sflb_drops:super_furious/items/red_sand
execute if score @s sflb_result matches 40 run function sflb_drops:super_furious/items/redstone_1
execute if score @s sflb_result matches 41 run function sflb_drops:super_furious/items/redstone_2
execute if score @s sflb_result matches 42 run function sflb_drops:super_furious/items/saddles
execute if score @s sflb_result matches 43 run function sflb_drops:super_furious/items/sand
execute if score @s sflb_result matches 44 run function sflb_drops:super_furious/items/terracotta
execute if score @s sflb_result matches 45 run function sflb_drops:super_furious/items/tnt
execute if score @s sflb_result matches 46 run function sflb_drops:super_furious/items/special/other/sflb_random
execute if score @s sflb_result matches 47 run function sflb_drops:super_furious/items/special/other/sflb_player
execute if score @s sflb_result matches 48 run function sflb_drops:super_furious/items/special/other/super_furious_agimat
execute if score @s sflb_result matches 49 run function sflb_drops:super_furious/mobs/chickenado
execute if score @s sflb_result matches 50 run function sflb_drops:super_furious/mobs/dolphins
execute if score @s sflb_result matches 51 run function sflb_drops:super_furious/mobs/greedy_villagers
execute if score @s sflb_result matches 52 run function sflb_drops:super_furious/mobs/horses
execute if score @s sflb_result matches 53 run function sflb_drops:super_furious/mobs/hundred_pigs
execute if score @s sflb_result matches 54 run function sflb_drops:super_furious/mobs/pig_stack
execute if score @s sflb_result matches 55 run function sflb_drops:super_furious/mobs/snow_golems
execute if score @s sflb_result matches 56 run function sflb_drops:super_furious/mobs/troll_creeper
execute if score @s sflb_result matches 57 run function sflb_drops:super_furious/others/copy_and_paste_drop
execute if score @s sflb_result matches 58 run function sflb_drops:super_furious/structures/other/bouncy_castle
execute if score @s sflb_result matches 59 run function sflb_drops:super_furious/structures/other/skyblock
execute if score @s sflb_result matches 60 run function sflb_drops:super_furious/structures/update/1.1
execute if score @s sflb_result matches 61 run function sflb_drops:super_furious/structures/update/1.2.1
execute if score @s sflb_result matches 62 run function sflb_drops:super_furious/structures/update/1.5
execute if score @s sflb_result matches 63 run function sflb_drops:super_furious/structures/update/1.6.1
execute if score @s sflb_result matches 64 run function sflb_drops:super_furious/structures/update/1.7.2
execute if score @s sflb_result matches 65 run function sflb_drops:super_furious/structures/update/1.15
execute if score @s sflb_result matches 66 run function sflb_drops:super_furious/items/nether_wastes
execute if score @s sflb_result matches 67 run function sflb_drops:super_furious/items/basalt_deltas
execute if score @s sflb_result matches 68 run function sflb_drops:super_furious/chests/bastion_bridge
execute if score @s sflb_result matches 69 run function sflb_drops:super_furious/chests/ruined_portal
execute if score @s sflb_result matches 70 run function sflb_drops:super_furious/chests/simple_dungeon
execute if score @s sflb_result matches 71 run function sflb_drops:super_furious/mobs/striders