#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\very_lucky.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..5 run function sflb_drops:super_furious/wells/normal_well
execute if score @s sflb_result matches 6..8 run function sflb_drops:super_furious/wells/rainbow_well
execute if score @s sflb_result matches 9..10 run function sflb_drops:super_furious/wells/destruction_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 11..15 run function sflb_drops:super_furious/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 16 run function sflb_drops:super_furious/falling_blocks/beacon
execute if score @s sflb_result matches 17 run function sflb_drops:super_furious/falling_blocks/beacon_tower
execute if score @s sflb_result matches 18 run function sflb_drops:super_furious/falling_blocks/diamond_tower
execute if score @s sflb_result matches 19 run function sflb_drops:super_furious/falling_blocks/emerald_tower
execute if score @s sflb_result matches 20 run function sflb_drops:super_furious/falling_blocks/precious_tower
execute if score @s sflb_result matches 21 run function sflb_drops:super_furious/chests/buried_treasure
execute if score @s sflb_result matches 22 run function sflb_drops:super_furious/chests/destruction_chest
execute if score @s sflb_result matches 23 run function sflb_drops:super_furious/chests/end_city_treasure
execute if score @s sflb_result matches 24 run function sflb_drops:super_furious/chests/minerals_and_sflb
execute if score @s sflb_result matches 25 run function sflb_drops:super_furious/chests/rainbow_chest
execute if score @s sflb_result matches 26 run function sflb_drops:super_furious/chests/shipwreck_map
execute if score @s sflb_result matches 27 run function sflb_drops:super_furious/events/cake_of_truth
execute if score @s sflb_result matches 28 run function sflb_drops:super_furious/events/choices_lucky_unlucky_1
execute if score @s sflb_result matches 29 run function sflb_drops:super_furious/events/choices_lucky_unlucky_2
execute if score @s sflb_result matches 30 run function sflb_drops:super_furious/events/choices_rainbow_destruction_1
execute if score @s sflb_result matches 31 run function sflb_drops:super_furious/events/choices_rainbow_destruction_2
execute if score @s sflb_result matches 32 run function sflb_drops:super_furious/items/beacon
execute if score @s sflb_result matches 33 run function sflb_drops:super_furious/items/booty_slapper
execute if score @s sflb_result matches 34 run function sflb_drops:super_furious/items/bow_and_arrows_3
execute if score @s sflb_result matches 35 run function sflb_drops:super_furious/items/diamond_armor
execute if score @s sflb_result matches 36 run function sflb_drops:super_furious/items/dragon_egg
execute if score @s sflb_result matches 37 run function sflb_drops:super_furious/items/end
execute if score @s sflb_result matches 38 run function sflb_drops:super_furious/items/fake_very_unlucky_potion
execute if score @s sflb_result matches 39 run function sflb_drops:super_furious/items/gem_blocks
execute if score @s sflb_result matches 40 run function sflb_drops:super_furious/items/god_boots
execute if score @s sflb_result matches 41 run function sflb_drops:super_furious/items/god_chestplate
execute if score @s sflb_result matches 42 run function sflb_drops:super_furious/items/god_helmet
execute if score @s sflb_result matches 43 run function sflb_drops:super_furious/items/god_leggings
execute if score @s sflb_result matches 44 run function sflb_drops:super_furious/items/god_sword
execute if score @s sflb_result matches 45 run function sflb_drops:super_furious/items/impossible
execute if score @s sflb_result matches 46 run function sflb_drops:super_furious/items/nether_treasure
execute if score @s sflb_result matches 47 run function sflb_drops:super_furious/items/nether_star
execute if score @s sflb_result matches 48 run function sflb_drops:super_furious/items/ocean_monument
execute if score @s sflb_result matches 49 run function sflb_drops:super_furious/items/offense_or_defense_boots
execute if score @s sflb_result matches 50 run function sflb_drops:super_furious/items/offense_or_defense_chestplate
execute if score @s sflb_result matches 51 run function sflb_drops:super_furious/items/offense_or_defense_helmet
execute if score @s sflb_result matches 52 run function sflb_drops:super_furious/items/offense_or_defense_leggings
execute if score @s sflb_result matches 53 run function sflb_drops:super_furious/items/ore
execute if score @s sflb_result matches 54 run function sflb_drops:super_furious/items/poop_bow
execute if score @s sflb_result matches 55 run function sflb_drops:super_furious/items/record_tower
execute if score @s sflb_result matches 56 run function sflb_drops:super_furious/items/trident
execute if score @s sflb_result matches 57 run function sflb_drops:super_furious/items/very_lucky_potion
execute if score @s sflb_result matches 58 run function sflb_drops:super_furious/items/special/armor/destruction_boots
execute if score @s sflb_result matches 59 run function sflb_drops:super_furious/items/special/armor/destruction_chestplate
execute if score @s sflb_result matches 60 run function sflb_drops:super_furious/items/special/armor/destruction_helm
execute if score @s sflb_result matches 61 run function sflb_drops:super_furious/items/special/armor/destruction_pants
execute if score @s sflb_result matches 62 run function sflb_drops:super_furious/items/special/armor/rainbow_boots
execute if score @s sflb_result matches 63 run function sflb_drops:super_furious/items/special/armor/rainbow_cap
execute if score @s sflb_result matches 64 run function sflb_drops:super_furious/items/special/armor/rainbow_chestplate
execute if score @s sflb_result matches 65 run function sflb_drops:super_furious/items/special/armor/rainbow_leggings
execute if score @s sflb_result matches 66 run function sflb_drops:super_furious/items/special/armor/super_furious_boots
execute if score @s sflb_result matches 67 run function sflb_drops:super_furious/items/special/armor/super_furious_chestplate
execute if score @s sflb_result matches 68 run function sflb_drops:super_furious/items/special/armor/super_furious_helm
execute if score @s sflb_result matches 69 run function sflb_drops:super_furious/items/special/armor/super_furious_pants
execute if score @s sflb_result matches 70 run function sflb_drops:super_furious/items/special/other/super_furious_agimat
execute if score @s sflb_result matches 71 run function sflb_drops:super_furious/items/special/staff/creeper_staff
execute if score @s sflb_result matches 72 run function sflb_drops:super_furious/items/special/staff/fireball_staff
execute if score @s sflb_result matches 73 run function sflb_drops:super_furious/items/special/tool/destruction_axe
execute if score @s sflb_result matches 74 run function sflb_drops:super_furious/items/special/tool/destruction_pickaxe
execute if score @s sflb_result matches 75 run function sflb_drops:super_furious/items/special/tool/rainbow_axe
execute if score @s sflb_result matches 76 run function sflb_drops:super_furious/items/special/tool/rainbow_pickaxe
execute if score @s sflb_result matches 77 run function sflb_drops:super_furious/items/special/tool/super_furious_axe
execute if score @s sflb_result matches 78 run function sflb_drops:super_furious/items/special/tool/super_furious_pickaxe
execute if score @s sflb_result matches 79 run function sflb_drops:super_furious/items/special/weapon/assassins_dagger
execute if score @s sflb_result matches 80 run function sflb_drops:super_furious/items/special/weapon/destruction_light_saber
execute if score @s sflb_result matches 81 run function sflb_drops:super_furious/items/special/weapon/destruction_scythe
execute if score @s sflb_result matches 82 run function sflb_drops:super_furious/items/special/weapon/destruction_sword
execute if score @s sflb_result matches 83 run function sflb_drops:super_furious/items/special/weapon/rainbow_battle_axe
execute if score @s sflb_result matches 84 run function sflb_drops:super_furious/items/special/weapon/rainbow_light_saber
execute if score @s sflb_result matches 85 run function sflb_drops:super_furious/items/special/weapon/rainbow_sword
execute if score @s sflb_result matches 86 run function sflb_drops:super_furious/items/special/weapon/super_furious_sword
execute if score @s sflb_result matches 87 run function sflb_drops:super_furious/items/special/weapon/super_furious_xbow
execute if score @s sflb_result matches 88 run function sflb_drops:super_furious/mobs/very_lucky_donkey
execute if score @s sflb_result matches 89 run function sflb_drops:super_furious/others/ice_boat
execute if score @s sflb_result matches 90 run function sflb_drops:super_furious/structures/end_portal_exit
execute if score @s sflb_result matches 91 run function sflb_drops:super_furious/structures/tall_tower
execute if score @s sflb_result matches 92 run function sflb_drops:super_furious/structures/other/dragon_egg_yeeter
execute if score @s sflb_result matches 93 run function sflb_drops:super_furious/structures/other/end_crystal_pillar
execute if score @s sflb_result matches 94 run function sflb_drops:super_furious/structures/update/1.0
execute if score @s sflb_result matches 95 run function sflb_drops:super_furious/structures/update/1.3.1
execute if score @s sflb_result matches 96 run function sflb_drops:super_furious/structures/update/1.9
execute if score @s sflb_result matches 97 run function sflb_drops:super_furious/falling_blocks/netherite_block
execute if score @s sflb_result matches 98 run function sflb_drops:super_furious/chests/bastion_treasure
execute if score @s sflb_result matches 99 run function sflb_drops:super_furious/items/netherite_item