# Follow and do magic damage when in contact with player
execute if score @s sflb_time matches 1.. run particle minecraft:cloud ~ ~-1 ~ 1 0.5 1 0.01 1 force
execute if score @s sflb_time matches 1..199 run function sflb_utilities:entities/follow_nearest_player/moderate_speed
execute if score @s sflb_time matches 1..199 run effect give @a[distance=..1.875] instant_damage 1 1 true

# Make arrows deflect
execute positioned ~ ~1 ~ anchored eyes as @e[type=#minecraft:arrows,distance=..5] run function sflb_utilities:entities/launch_to_player

# Summon companion dogs randomly
execute if score @s sflb_time matches 1..199 if predicate sflb_entities:bosses/companion_chance_per_tick run function sflb_items:skill/companion_dogs

# Special attack initiation
execute if score @s sflb_time matches 100 run data modify entity @s ArmorItems[{tag:{RainbowRep:1}}].tag.CustomModelData set value 5317006
execute if score @s sflb_time matches 100 run data modify entity @s ArmorItems[{tag:{RainbowRep:2}}].tag.CustomModelData set value 5317009
execute if score @s sflb_time matches 100 run playsound minecraft:entity.evoker.cast_spell player @a[distance=..50] ~ ~ ~ 1 1.5 0.5
execute if score @s sflb_time matches 100 run particle minecraft:enchant ~ ~1 ~ 0.2 0.5 0.2 1 5
execute if score @s sflb_time matches 100..149 run tp @s ~ ~0.1 ~

# Leech player inside 15 blocks radius and freeze player outside 30 blocks radius
execute if score @s sflb_time matches 150 run data modify entity @s ArmorItems[{tag:{RainbowRep:1}}].tag.CustomModelData set value 5317017
execute if score @s sflb_time matches 150 run data modify entity @s ArmorItems[{tag:{RainbowRep:2}}].tag.CustomModelData set value 5317018
execute if score @s sflb_time matches 150 run summon lightning_bolt ~-10 ~-5 ~
execute if score @s sflb_time matches 150 run summon lightning_bolt ~ ~-5 ~10
execute if score @s sflb_time matches 150 run summon lightning_bolt ~ ~-5 ~-10
execute if score @s sflb_time matches 150 as @a[distance=31..] at @s run function sflb_utilities:entities/freeze_mob
execute if score @s sflb_time matches 150 as @a[distance=..30] run effect give @s wither 5 1 true
execute if score @s sflb_time matches 150 if entity @p[distance=..30] run effect give @s regeneration 5 1 true

# Land back down
execute if score @s sflb_time matches 150.. if predicate sflb_utilities:not_on_ground run tp @s ~ ~-1 ~
execute if score @s sflb_time matches 150.. if predicate sflb_utilities:not_on_ground run function sflb_utilities:entities/accurate_tp

# Loop phase
execute if score @s sflb_time matches 150.. unless predicate sflb_utilities:not_on_ground run scoreboard players set @s sflb_time 0

# Summon Death Animation AEC Markers
execute if entity @a[distance=..256] run summon area_effect_cloud ~ ~ ~ {Duration:2,Tags:["sflb_aec_rainbow_death_animation"]}
function sflb_effects:loops/rainbow_death_animation