# Follow and do magic damage when in contact with player
execute if score @s sflb_time matches 1.. run particle minecraft:cloud ~ ~-1 ~ 1 0.5 1 0.01 1 force
execute if score @s sflb_time matches 1..199 run function sflb_utilities:entities/follow_nearest_player/moderately_slow_speed
execute if score @s sflb_time matches 1..199 run effect give @a[distance=..1.875] instant_damage 1 0 true

# Random holes to trap player
execute if score @s sflb_time matches 1..199 if predicate sflb_entities:bosses/hole_chance_per_tick run function sflb_items:skill/hole

# Special attack initiation
execute if score @s sflb_time matches 200 run data modify entity @s ArmorItems[{tag:{RainbowRep:1}}].tag.CustomModelData set value 5317006
execute if score @s sflb_time matches 200 run data modify entity @s ArmorItems[{tag:{RainbowRep:2}}].tag.CustomModelData set value 5317009
execute if score @s sflb_time matches 200 run playsound minecraft:block.beacon.power_select player @a[distance=..50] ~ ~ ~ 1 1.5 0.5
execute if score @s sflb_time matches 200 run particle minecraft:enchant ~ ~1 ~ 0.2 0.5 0.2 1 5
execute if score @s sflb_time matches 200..249 run tp @s ~ ~0.1 ~

# Special attack summon
execute if score @s sflb_time matches 250 at @s run function sflb_items:skill/rainbow_boss_attack
execute if score @s sflb_time matches 250 run data modify entity @s ArmorItems[{tag:{RainbowRep:1}}].tag.CustomModelData set value 5317017
execute if score @s sflb_time matches 250 run data modify entity @s ArmorItems[{tag:{RainbowRep:2}}].tag.CustomModelData set value 5317018

# Arrow rain
execute if score @s sflb_time matches 250 positioned ~15 ~ ~ run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~15 ~ ~15 run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~15 ~ ~-15 run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~ ~ ~15 run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~ ~ ~-15 run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~-15 ~ ~ run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~-15 ~ ~15 run function sflb_items:spell/arrow_rain
execute if score @s sflb_time matches 250 positioned ~-15 ~ ~-15 run function sflb_items:spell/arrow_rain

# Land back down
execute if score @s sflb_time matches 250.. if predicate sflb_utilities:not_on_ground run tp @s ~ ~-1 ~
execute if score @s sflb_time matches 250.. if predicate sflb_utilities:not_on_ground run function sflb_utilities:entities/accurate_tp

# Loop phase
execute if score @s sflb_time matches 250.. unless predicate sflb_utilities:not_on_ground run scoreboard players set @s sflb_time 0

# Transition to Phase 2 when health is 150 or lower
execute if score @s sflb_time matches 0..200 if score @e[tag=sflb_hitbox,limit=1,sort=nearest] sflb_boss_health matches ..150 run scoreboard players set @s sflb_phase 2
execute if score @s sflb_time matches 0..200 if score @e[tag=sflb_hitbox,limit=1,sort=nearest] sflb_boss_health matches ..150 run scoreboard players set @s sflb_time 0