# TP hitbox to boss accurately
execute as @e[tag=sflb_boss,tag=sflb_boss_hitbox] at @s run function sflb_utilities:entities/accurate_tp

# Apply Accurate TP
execute as @e[tag=sflb_boss,tag=sflb_boss_hitbox] at @s store result entity @e[tag=sflb_hitbox,limit=1,sort=nearest] Pos[0] double 0.001 run scoreboard players get @s sflb_dxpos3
execute as @e[tag=sflb_boss,tag=sflb_boss_hitbox] at @s store result entity @e[tag=sflb_hitbox,limit=1,sort=nearest] Pos[1] double 0.001 run scoreboard players get @s sflb_dypos3
execute as @e[tag=sflb_boss,tag=sflb_boss_hitbox] at @s store result entity @e[tag=sflb_hitbox,limit=1,sort=nearest] Pos[2] double 0.001 run scoreboard players get @s sflb_dzpos3

# Equalize Health
execute as @e[tag=sflb_hitbox] run scoreboard players operation @s sflb_dhealth = @s sflb_health
execute as @e[tag=sflb_hitbox] store result score @s sflb_health run data get entity @s Health
execute as @e[tag=sflb_hitbox] run scoreboard players operation @s sflb_dhealth -= @s sflb_health
execute as @e[tag=sflb_boss,tag=sflb_boss_hitbox] at @s store result score @e[tag=sflb_hitbox,limit=1,sort=nearest] sflb_boss_health run data get entity @s Health
execute as @e[tag=sflb_hitbox] run scoreboard players operation @s sflb_boss_health -= @s sflb_dhealth
execute as @e[tag=sflb_boss,tag=sflb_boss_hitbox] at @s store result entity @s Health float 1 run scoreboard players get @e[tag=sflb_hitbox,limit=1,sort=nearest,scores={sflb_boss_health=0..}] sflb_boss_health
execute as @e[tag=sflb_hitbox] run data modify entity @s Health set value 1024.0f
execute as @e[tag=sflb_hitbox] run scoreboard players set @s sflb_health 1024
execute as @e[tag=sflb_hitbox] run scoreboard players set @s sflb_dhealth 0

# If Boss Health drops to zero
execute as @e[tag=sflb_hitbox] at @s if score @s sflb_boss_health matches ..0 run data modify entity @s NoAI set value 0b
execute as @e[tag=sflb_hitbox] at @s if score @s sflb_boss_health matches ..0 run data modify entity @s NoGravity set value 0b
execute as @e[tag=sflb_hitbox] at @s if score @s sflb_boss_health matches ..0 run tp @s ~ -100 ~
execute as @e[tag=sflb_hitbox] if score @s sflb_boss_health matches ..0 run kill @s

# If Boss died or non-existent
execute as @e[tag=sflb_hitbox] at @s unless entity @e[tag=sflb_boss,distance=..3] run data modify entity @s NoAI set value 0b
execute as @e[tag=sflb_hitbox] at @s unless entity @e[tag=sflb_boss,distance=..3] run data modify entity @s NoGravity set value 0b
execute as @e[tag=sflb_hitbox] at @s unless entity @e[tag=sflb_boss,distance=..3] run tp @s ~ -100 ~
execute as @e[tag=sflb_hitbox] at @s unless entity @e[tag=sflb_boss,distance=..3] run kill @s

# Loop Function
execute if entity @e[tag=sflb_hitbox] run schedule function sflb_entities:hitbox 1t replace