# Add objectives
scoreboard objectives add sflb_result dummy "Result Number"
scoreboard objectives add sflb_player dummy "Player Armor Stand Number"
scoreboard objectives add sflb_rnd dummy "R&D Result Number"
scoreboard objectives add sflb_luck dummy "Luck"
scoreboard objectives add sflb_random dummy "Random Number"
scoreboard objectives add sflb_limit dummy "Random Number Limit"
scoreboard objectives add sflb_time dummy "SFLB Time"
scoreboard objectives add sflb_rotation dummy "Player Rotation"
scoreboard objectives add sflb_phase dummy "SFLB Event/Boss Phase"
scoreboard objectives add sflb_cooldown dummy "SFLB Item Cooldown"
scoreboard objectives add sflb_xpos dummy "X Position"
scoreboard objectives add sflb_ypos dummy "Y Position"
scoreboard objectives add sflb_zpos dummy "Z Position"
scoreboard objectives add sflb_dxpos dummy "DX Position"
scoreboard objectives add sflb_dypos dummy "DY Position"
scoreboard objectives add sflb_dzpos dummy "DZ Position"
scoreboard objectives add sflb_xpos3 dummy "X Position (3DP)"
scoreboard objectives add sflb_ypos3 dummy "Y Position (3DP)"
scoreboard objectives add sflb_zpos3 dummy "Z Position (3DP)"
scoreboard objectives add sflb_dxpos3 dummy "DX Position (3DP)"
scoreboard objectives add sflb_dypos3 dummy "DY Position (3DP)"
scoreboard objectives add sflb_dzpos3 dummy "DZ Position (3DP)"
scoreboard objectives add sflb_bdxpos3 dummy "BDX Position (3DP)"
scoreboard objectives add sflb_bdypos3 dummy "BDY Position (3DP)"
scoreboard objectives add sflb_bdzpos3 dummy "BDZ Position (3DP)"
scoreboard objectives add sflb_health dummy "Health"
scoreboard objectives add sflb_dhealth dummy "Health Difference"
scoreboard objectives add sflb_bhealth dummy "Health Base"
scoreboard objectives add sflb_boss_health dummy "Boss Health"
scoreboard objectives add sflb_use_item minecraft.used:minecraft.carrot_on_a_stick "SFLB Use Custom Item"
scoreboard objectives add sflb_use_armor dummy "SFLB Use Armor Ability"
scoreboard objectives add sflb_place dummy "Place Custom Block"
scoreboard objectives add sflb_operation dummy "LB Operation Constants"
scoreboard objectives add sflb_rc_dist dummy "Raycast Distance"
scoreboard objectives add sflb_rc_distlim dummy "Raycast Distance Limit"
scoreboard objectives add sflb_validate dummy "SFLB Validation"
scoreboard objectives add sflb_gm1_break dummy "Toggle SFLB Drops for Creative Mode"
scoreboard objectives add sflb_randomizer dummy "Toggle SFLB Randomizer"
scoreboard objectives add sflb_debug dummy "Toggle SFLB Debug Mode"

# Triggers
scoreboard objectives add sflb_book trigger "SFLB Book Trigger"

# Set values
scoreboard players set ab_value sflb_operation -1
scoreboard players set rem_value sflb_operation 2
scoreboard players set rem_value_2 sflb_operation 2
scoreboard players set tick_seconds sflb_operation 20
scoreboard players set ms_seconds sflb_operation 2
scoreboard players set ms_seconds_10 sflb_operation 10
scoreboard players set 3 sflb_operation 3
scoreboard players set 2 sflb_operation 2
scoreboard players set @a sflb_use_item 0
scoreboard players set @a sflb_use_armor 0

# Advancement reset
advancement revoke @a from sflb_main:place_block

# Add-on initiation
execute store success score #sflb_add_on sflb_validate run function sflb_config:init

# Bossbars
bossbar add sflb_utilities:boss_battle {"translate":"bossbar.sfluckyblock.boss_battle","color":"light_purple"}
bossbar set sflb_utilities:boss_battle color purple

# Teams
team add sflb_boss_hitbox {"translate":"team.sfluckyblock.bosses","color":"light_purple"}
team modify sflb_boss_hitbox collisionRule pushOwnTeam
team modify sflb_boss_hitbox color light_purple

# Late functions
schedule function sflb_main:init/set_settings 10t replace
schedule function sflb_main:init/intro 1s replace