# Gamerule
function sflb_main:trigger/sendcommandfeedback_set

# Set settings if no score detected
execute unless score @s sflb_gm1_break matches 0.. run scoreboard players set @s sflb_gm1_break 0
execute unless score @s sflb_randomizer matches 0.. run scoreboard players set @s sflb_randomizer 1
execute unless score @s sflb_debug matches 0.. run scoreboard players set @s sflb_debug 0

# Clear Chat Box
tellraw @s {"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"}

# Logo
tellraw @s [{"text":" \u5321 ","font":"sfluckyblock:super_furious"}]

# Title
tellraw @s [{"text":"         ","font":"sfluckyblock:super_furious"},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.title","font":"minecraft:default","color":"#c2bbff"}]

# Version
tellraw @s [{"text":"         ","font":"sfluckyblock:super_furious"},{"with":[{"translate":"info.sflb.version_number"},{"translate":"info.general.month"},{"translate":"info.general.year"}],"translate":"info.sflb.intro.version","font":"minecraft:default","italic":true}]

# Break in Creative Mode
execute if score @s sflb_gm1_break matches 0 run tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5323 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.creative_break","font":"minecraft:default"}]
execute if score @s sflb_gm1_break matches 1.. run tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5322 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.creative_break","font":"minecraft:default"}]
tellraw @s [{"text":"            ","font":"sfluckyblock:super_furious"},{"translate":"info.sflb.settings.button.on","color":"yellow","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_main:settings/gm1_break_on"}},{"text":" "},{"translate":"info.sflb.settings.button.off","color":"red","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_main:settings/gm1_break_off"}}]

# Randomizer
execute if score @s sflb_randomizer matches 0 run tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5323 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.randomizer","font":"minecraft:default"}]
execute if score @s sflb_randomizer matches 1.. run tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5322 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.randomizer","font":"minecraft:default"}]
tellraw @s [{"text":"            ","font":"sfluckyblock:super_furious"},{"translate":"info.sflb.settings.button.on","color":"yellow","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_main:settings/randomizer_on"}},{"text":" "},{"translate":"info.sflb.settings.button.off","color":"red","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_main:settings/randomizer_off"}}]

# Debug Mode
execute if score @s sflb_debug matches 0 run tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5323 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.debug_mode","font":"minecraft:default"}]
execute if score @s sflb_debug matches 1.. run tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5322 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.debug_mode","font":"minecraft:default"}]
tellraw @s [{"text":"            ","font":"sfluckyblock:super_furious"},{"translate":"info.sflb.settings.button.on","color":"yellow","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_main:settings/debug_on"}},{"text":" "},{"translate":"info.sflb.settings.button.off","color":"red","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_main:settings/debug_off"}}]

# Test Mode
tellraw @s [{"text":"\n "},{"text":" "},{"text":" \u5324 ","font":"sfluckyblock:super_furious"},{"text":" "},{"text":" "},{"with":[{"translate":"info.sflb.abbreviation.general"}],"translate":"info.sflb.settings.test_mode","font":"minecraft:default"}]
tellraw @s [{"text":"            ","font":"sfluckyblock:super_furious"},{"translate":"info.sflb.settings.button.test.with_invulnerability","color":"yellow","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_commands:test_mode/invulnerable"}},{"text":" "},{"translate":"info.sflb.settings.button.test.without_invulnerability","color":"yellow","font":"minecraft:default","clickEvent":{"action":"run_command","value":"/function sflb_commands:test_mode/normal"}}]

# Space
tellraw @s {"text":""}