#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\very_lucky.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..2 run function sflb_drops:pat_and_jen/wells/cloud_well
execute if score @s sflb_result matches 3..4 run function sflb_drops:pat_and_jen/wells/furious_well
execute if score @s sflb_result matches 5..6 run function sflb_drops:pat_and_jen/wells/super_girly_well
execute if score @s sflb_result matches 7 run function sflb_drops:pat_and_jen/wells/super_furious_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 8 run function sflb_drops:pat_and_jen/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 9 run function sflb_drops:pat_and_jen/chests/challenge_games
execute if score @s sflb_result matches 10 run function sflb_drops:pat_and_jen/chests/best_challenge_games_chest
execute if score @s sflb_result matches 11 run function sflb_drops:pat_and_jen/falling_blocks/five_wet_beacons
execute if score @s sflb_result matches 12 run function sflb_drops:pat_and_jen/falling_blocks/wet_beacon
execute if score @s sflb_result matches 13 run function sflb_drops:pat_and_jen/items/butterfingers
execute if score @s sflb_result matches 14 run function sflb_drops:pat_and_jen/items/jen-inator
execute if score @s sflb_result matches 15 run function sflb_drops:pat_and_jen/items/paulyaulk_hoe
execute if score @s sflb_result matches 16 run function sflb_drops:pat_and_jen/items/wet_beacon
execute if score @s sflb_result matches 17 run function sflb_drops:pat_and_jen/mobs/chuck_norris
execute if score @s sflb_result matches 18 run function sflb_drops:pat_and_jen/mobs/cloud
execute if score @s sflb_result matches 19 run function sflb_drops:pat_and_jen/mobs/kylie_jenner
execute if score @s sflb_result matches 20 run function sflb_drops:pat_and_jen/mobs/sparky
execute if score @s sflb_result matches 21 run function sflb_drops:pat_and_jen/mobs/ted
execute if score @s sflb_result matches 22 run function sflb_drops:pat_and_jen/structures/elenis_arena
execute if score @s sflb_result matches 23 run function sflb_drops:pat_and_jen/structures/furious_tower_large
execute if score @s sflb_result matches 24 run function sflb_drops:pat_and_jen/structures/jens_arena
execute if score @s sflb_result matches 25 run function sflb_drops:pat_and_jen/structures/jens_house
execute if score @s sflb_result matches 26 run function sflb_drops:pat_and_jen/structures/pats_arena
execute if score @s sflb_result matches 27 run function sflb_drops:pat_and_jen/structures/super_furious_tower_large
execute if score @s sflb_result matches 28 run function sflb_drops:pat_and_jen/structures/super_girly_tower_large
execute if score @s sflb_result matches 29 run function sflb_drops:pat_and_jen/voiced_drops/loogi
execute if score @s sflb_result matches 30 run function sflb_drops:pat_and_jen/voiced_drops/pbj_time