#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\lucky.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..5 run function sflb_drops:super_furious/wells/normal_well
execute if score @s sflb_result matches 6..8 run function sflb_drops:super_furious/wells/rainbow_well
execute if score @s sflb_result matches 9..10 run function sflb_drops:super_furious/wells/destruction_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 11..15 run function sflb_drops:super_furious/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 16 run function sflb_drops:super_furious/falling_blocks/diamond_block
execute if score @s sflb_result matches 17 run function sflb_drops:super_furious/falling_blocks/emerald_block
execute if score @s sflb_result matches 18 run function sflb_drops:super_furious/falling_blocks/gold_tower
execute if score @s sflb_result matches 19 run function sflb_drops:super_furious/falling_blocks/iron_tower
execute if score @s sflb_result matches 20 run function sflb_drops:super_furious/chests/buried_treasure
execute if score @s sflb_result matches 21 run function sflb_drops:super_furious/chests/nether_bridge
execute if score @s sflb_result matches 22 run function sflb_drops:super_furious/chests/shipwreck_treasure
execute if score @s sflb_result matches 23 run function sflb_drops:super_furious/chests/stronghold_library
execute if score @s sflb_result matches 24 run function sflb_drops:super_furious/chests/underwater_ruin_big
execute if score @s sflb_result matches 25 run function sflb_drops:super_furious/events/choices_lucky_unlucky_1
execute if score @s sflb_result matches 26 run function sflb_drops:super_furious/events/choices_lucky_unlucky_2
execute if score @s sflb_result matches 27 run function sflb_drops:super_furious/items/bow_and_arrows_2
execute if score @s sflb_result matches 28 run function sflb_drops:super_furious/items/brewing
execute if score @s sflb_result matches 29 run function sflb_drops:super_furious/items/coral
execute if score @s sflb_result matches 30 run function sflb_drops:super_furious/items/diamond_horse_armor
execute if score @s sflb_result matches 31 run function sflb_drops:super_furious/items/diamond_tools
execute if score @s sflb_result matches 32 run function sflb_drops:super_furious/items/enchanted_book
execute if score @s sflb_result matches 33 run function sflb_drops:super_furious/items/ender_chests
execute if score @s sflb_result matches 34 run function sflb_drops:super_furious/items/ender_pearls_and_eyes
execute if score @s sflb_result matches 35 run function sflb_drops:super_furious/items/fake_unlucky_potion
execute if score @s sflb_result matches 36 run function sflb_drops:super_furious/items/gems
execute if score @s sflb_result matches 37 run function sflb_drops:super_furious/items/god_axe
execute if score @s sflb_result matches 38 run function sflb_drops:super_furious/items/god_pickaxe
execute if score @s sflb_result matches 39 run function sflb_drops:super_furious/items/god_shovel
execute if score @s sflb_result matches 40 run function sflb_drops:super_furious/items/honey_and_slime
execute if score @s sflb_result matches 41 run function sflb_drops:super_furious/items/horse_armors
execute if score @s sflb_result matches 42 run function sflb_drops:super_furious/items/iron_armor
execute if score @s sflb_result matches 43 run function sflb_drops:super_furious/items/lucky_potion
execute if score @s sflb_result matches 44 run function sflb_drops:super_furious/items/redstone
execute if score @s sflb_result matches 45 run function sflb_drops:super_furious/items/shulker_box
execute if score @s sflb_result matches 46 run function sflb_drops:super_furious/items/spawn_eggs
execute if score @s sflb_result matches 47 run function sflb_drops:super_furious/items/sponge
execute if score @s sflb_result matches 48 run function sflb_drops:super_furious/items/special/core/invisibility_core
execute if score @s sflb_result matches 49 run function sflb_drops:super_furious/items/special/core/levitation_core
execute if score @s sflb_result matches 50 run function sflb_drops:super_furious/items/special/other/sflb_random_3
execute if score @s sflb_result matches 51 run function sflb_drops:super_furious/items/special/other/super_furious_agimat
execute if score @s sflb_result matches 52 run function sflb_drops:super_furious/items/special/spell/arrow_rain_spell
execute if score @s sflb_result matches 53 run function sflb_drops:super_furious/items/special/spell/blinding_spell
execute if score @s sflb_result matches 54 run function sflb_drops:super_furious/items/special/spell/companion_spell
execute if score @s sflb_result matches 55 run function sflb_drops:super_furious/items/special/spell/hardened_skin_spell
execute if score @s sflb_result matches 56 run function sflb_drops:super_furious/items/special/staff/evoker_staff
execute if score @s sflb_result matches 57 run function sflb_drops:super_furious/items/special/staff/lightning_staff
execute if score @s sflb_result matches 58 run function sflb_drops:super_furious/items/special/other/enderman_doll
execute if score @s sflb_result matches 59 run function sflb_drops:super_furious/items/special/other/telekinesis_wand
execute if score @s sflb_result matches 60 run function sflb_drops:super_furious/items/special/tool/destruction_hoe
execute if score @s sflb_result matches 61 run function sflb_drops:super_furious/items/special/tool/destruction_shovel
execute if score @s sflb_result matches 62 run function sflb_drops:super_furious/items/special/tool/rainbow_hoe
execute if score @s sflb_result matches 63 run function sflb_drops:super_furious/items/special/tool/rainbow_shovel
execute if score @s sflb_result matches 64 run function sflb_drops:super_furious/items/special/tool/super_furious_hoe
execute if score @s sflb_result matches 65 run function sflb_drops:super_furious/items/special/tool/super_furious_shovel
execute if score @s sflb_result matches 66 run function sflb_drops:super_furious/items/special/weapon/bandits_bat
execute if score @s sflb_result matches 67 run function sflb_drops:super_furious/mobs/mr_rainbow
execute if score @s sflb_result matches 68 run function sflb_drops:super_furious/mobs/mr_rainbow_tower
execute if score @s sflb_result matches 69 run function sflb_drops:super_furious/mobs/pig_horse
execute if score @s sflb_result matches 70 run function sflb_drops:super_furious/mobs/tamed_cats
execute if score @s sflb_result matches 71 run function sflb_drops:super_furious/mobs/tamed_wolves
execute if score @s sflb_result matches 72 run function sflb_drops:super_furious/structures/enchanting_area
execute if score @s sflb_result matches 73 run function sflb_drops:super_furious/structures/other/tnt_yeeter
execute if score @s sflb_result matches 74 run function sflb_drops:super_furious/structures/other/wholesome_parrot_dancing
execute if score @s sflb_result matches 75 run function sflb_drops:super_furious/structures/update/1.11
execute if score @s sflb_result matches 76 run function sflb_drops:super_furious/items/washing_hands_reward
execute if score @s sflb_result matches 77 run function sflb_drops:super_furious/items/crimson_forest
execute if score @s sflb_result matches 78 run function sflb_drops:super_furious/items/warped_forest
execute if score @s sflb_result matches 79 run function sflb_drops:super_furious/items/soul_sand_valley
execute if score @s sflb_result matches 80 run function sflb_drops:super_furious/structures/update/1.16
execute if score @s sflb_result matches 81 run function sflb_drops:super_furious/falling_blocks/ancient_debris_tower
execute if score @s sflb_result matches 82 run function sflb_drops:super_furious/chests/bastion_hoglin_stable
execute if score @s sflb_result matches 83 run function sflb_drops:super_furious/chests/bastion_other
execute if score @s sflb_result matches 84 run function sflb_drops:super_furious/items/special/staff/ice_staff