#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\unlucky.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..5 run function sflb_drops:super_furious/wells/normal_well
execute if score @s sflb_result matches 6..8 run function sflb_drops:super_furious/wells/rainbow_well
execute if score @s sflb_result matches 9..10 run function sflb_drops:super_furious/wells/destruction_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 11..15 run function sflb_drops:super_furious/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 16 run function sflb_drops:super_furious/falling_blocks/lapis_block
execute if score @s sflb_result matches 17 run function sflb_drops:super_furious/falling_blocks/redstone_block
execute if score @s sflb_result matches 18 run function sflb_drops:super_furious/falling_blocks/unstable_tnt_tower
execute if score @s sflb_result matches 19 run function sflb_drops:super_furious/chests/jungle_temple
execute if score @s sflb_result matches 20 run function sflb_drops:super_furious/chests/pillager_outpost
execute if score @s sflb_result matches 21 run function sflb_drops:super_furious/events/choices_lucky_unlucky_1
execute if score @s sflb_result matches 22 run function sflb_drops:super_furious/events/choices_lucky_unlucky_2
execute if score @s sflb_result matches 23 run function sflb_drops:super_furious/items/bed
execute if score @s sflb_result matches 24 run function sflb_drops:super_furious/items/brick
execute if score @s sflb_result matches 25 run function sflb_drops:super_furious/items/concrete
execute if score @s sflb_result matches 26 run function sflb_drops:super_furious/items/concrete_powder
execute if score @s sflb_result matches 27 run function sflb_drops:super_furious/items/fake_lucky_potion
execute if score @s sflb_result matches 28 run function sflb_drops:super_furious/items/flowers
execute if score @s sflb_result matches 29 run function sflb_drops:super_furious/items/glass
execute if score @s sflb_result matches 30 run function sflb_drops:super_furious/items/gold_tools
execute if score @s sflb_result matches 31 run function sflb_drops:super_furious/items/ice
execute if score @s sflb_result matches 32 run function sflb_drops:super_furious/items/leather_armor
execute if score @s sflb_result matches 33 run function sflb_drops:super_furious/items/log
execute if score @s sflb_result matches 34 run function sflb_drops:super_furious/items/planks
execute if score @s sflb_result matches 35 run function sflb_drops:super_furious/items/plants
execute if score @s sflb_result matches 36 run function sflb_drops:super_furious/items/romantic_rose
execute if score @s sflb_result matches 37 run function sflb_drops:super_furious/items/sapling
execute if score @s sflb_result matches 38 run function sflb_drops:super_furious/items/stone
execute if score @s sflb_result matches 39 run function sflb_drops:super_furious/items/stone_tools
execute if score @s sflb_result matches 40 run function sflb_drops:super_furious/items/stripped_log
execute if score @s sflb_result matches 41 run function sflb_drops:super_furious/items/stripped_wood
execute if score @s sflb_result matches 42 run function sflb_drops:super_furious/items/unlucky_potion
execute if score @s sflb_result matches 43 run function sflb_drops:super_furious/items/wood
execute if score @s sflb_result matches 44 run function sflb_drops:super_furious/items/wool
execute if score @s sflb_result matches 45 run function sflb_drops:super_furious/items/special/other/super_furious_agimat
execute if score @s sflb_result matches 46 run function sflb_drops:super_furious/mobs/bee
execute if score @s sflb_result matches 47 run function sflb_drops:super_furious/mobs/bob
execute if score @s sflb_result matches 48 run function sflb_drops:super_furious/mobs/charged_creeper
execute if score @s sflb_result matches 49 run function sflb_drops:super_furious/mobs/elder_guardian
execute if score @s sflb_result matches 50 run function sflb_drops:super_furious/mobs/ghost
execute if score @s sflb_result matches 51 run function sflb_drops:super_furious/mobs/johnny
execute if score @s sflb_result matches 52 run function sflb_drops:super_furious/mobs/killer_rabbits
execute if score @s sflb_result matches 53 run function sflb_drops:super_furious/mobs/phantom
execute if score @s sflb_result matches 54 run function sflb_drops:super_furious/mobs/ravager
execute if score @s sflb_result matches 55 run function sflb_drops:super_furious/mobs/silverfish
execute if score @s sflb_result matches 56 run function sflb_drops:super_furious/mobs/skeleton
execute if score @s sflb_result matches 57 run function sflb_drops:super_furious/mobs/spider
execute if score @s sflb_result matches 58 run function sflb_drops:super_furious/mobs/zombie
execute if score @s sflb_result matches 59 run function sflb_drops:super_furious/others/angry_bee_spawner
execute if score @s sflb_result matches 60 run function sflb_drops:super_furious/others/barrier_block
execute if score @s sflb_result matches 61 run function sflb_drops:super_furious/others/bedrock_block
execute if score @s sflb_result matches 62 run function sflb_drops:super_furious/others/hole
execute if score @s sflb_result matches 63 run function sflb_drops:super_furious/others/lava_block
execute if score @s sflb_result matches 64 run function sflb_drops:super_furious/others/shooting_arrow
execute if score @s sflb_result matches 65 run function sflb_drops:super_furious/structures/update/1.8
execute if score @s sflb_result matches 66 run function sflb_drops:super_furious/structures/update/1.10
execute if score @s sflb_result matches 67 run function sflb_drops:super_furious/structures/update/1.12
execute if score @s sflb_result matches 68 run function sflb_drops:super_furious/structures/update/1.13
execute if score @s sflb_result matches 69 run function sflb_drops:super_furious/traps/anvil_trap
execute if score @s sflb_result matches 70 run function sflb_drops:super_furious/traps/cobweb_trap
execute if score @s sflb_result matches 71 run function sflb_drops:super_furious/traps/honey_block_trap
execute if score @s sflb_result matches 72 run function sflb_drops:super_furious/traps/lava_hole_trap
execute if score @s sflb_result matches 73 run function sflb_drops:super_furious/traps/lava_surround_trap
execute if score @s sflb_result matches 74 run function sflb_drops:super_furious/traps/lava_trap
execute if score @s sflb_result matches 75 run function sflb_drops:super_furious/traps/maze_trap
execute if score @s sflb_result matches 76 run function sflb_drops:super_furious/traps/sand_trap
execute if score @s sflb_result matches 77 run function sflb_drops:super_furious/traps/water_trap
execute if score @s sflb_result matches 78 run function sflb_drops:super_furious/traps/wither_rose_trap
execute if score @s sflb_result matches 79 run function sflb_drops:super_furious/mobs/angry_iron_golems
execute if score @s sflb_result matches 80 run function sflb_drops:super_furious/mobs/angry_wolves