#   
#   Every drop here can be replaced and removed by an add-on creator or 
#   any player that wants to configure the block the way they wanted to.
#   Make sure that every after changes made here must be followed by changing
#   the "drop limit" in the loot tables in "sflb_config\loot_tables\drop_rate\normal\very_unlucky.json"
#   under the SFLB_DEFAULT item in "random attribute" to the final number here +1. (ex. final sflb_result is 10, in the .json is 11)
#   
#########################################################################################################

# WELLS
execute if score @s sflb_result matches 1..5 run function sflb_drops:super_furious/wells/normal_well
execute if score @s sflb_result matches 6..8 run function sflb_drops:super_furious/wells/rainbow_well
execute if score @s sflb_result matches 9..10 run function sflb_drops:super_furious/wells/destruction_well

# GIANT LUCKY BLOCK
execute if score @s sflb_result matches 11..15 run function sflb_drops:super_furious/giant_lucky_block

# DROPS
execute if score @s sflb_result matches 16 run function sflb_drops:super_furious/falling_blocks/redstone_and_tnt
execute if score @s sflb_result matches 17 run function sflb_drops:super_furious/chests/troll_chest
execute if score @s sflb_result matches 18 run function sflb_drops:super_furious/events/cake_of_lies
execute if score @s sflb_result matches 19 run function sflb_drops:super_furious/events/choices_lucky_unlucky_1
execute if score @s sflb_result matches 20 run function sflb_drops:super_furious/events/choices_lucky_unlucky_2
execute if score @s sflb_result matches 21 run function sflb_drops:super_furious/events/choices_rainbow_destruction_1
execute if score @s sflb_result matches 22 run function sflb_drops:super_furious/events/choices_rainbow_destruction_2
execute if score @s sflb_result matches 23 run function sflb_drops:super_furious/events/chunk_delete
execute if score @s sflb_result matches 24 run function sflb_drops:super_furious/events/chunks_moved
execute if score @s sflb_result matches 25 run function sflb_drops:super_furious/events/clear_inventory
execute if score @s sflb_result matches 26 run function sflb_drops:super_furious/events/herobrine
execute if score @s sflb_result matches 27 run function sflb_drops:super_furious/events/mini_raid
execute if score @s sflb_result matches 28 run function sflb_drops:super_furious/events/tp_all_players
execute if score @s sflb_result matches 29 run function sflb_drops:super_furious/events/zombie_siege
execute if score @s sflb_result matches 30 run function sflb_drops:super_furious/items/dirt
execute if score @s sflb_result matches 31 run function sflb_drops:super_furious/items/inventory_junk
execute if score @s sflb_result matches 32 run function sflb_drops:super_furious/items/wooden_tools
execute if score @s sflb_result matches 33 run function sflb_drops:super_furious/items/fake_very_lucky_potion
execute if score @s sflb_result matches 34 run function sflb_drops:super_furious/items/very_unlucky_potion
execute if score @s sflb_result matches 35 run function sflb_drops:super_furious/items/special/other/super_furious_agimat
execute if score @s sflb_result matches 36 run function sflb_drops:super_furious/mobs/blazes
execute if score @s sflb_result matches 37 run function sflb_drops:super_furious/mobs/bob_army
execute if score @s sflb_result matches 38 run function sflb_drops:super_furious/mobs/creepers
execute if score @s sflb_result matches 39 run function sflb_drops:super_furious/mobs/end
execute if score @s sflb_result matches 40 run function sflb_drops:super_furious/mobs/ghasts
execute if score @s sflb_result matches 41 run function sflb_drops:super_furious/mobs/ghost_army
execute if score @s sflb_result matches 42 run function sflb_drops:super_furious/mobs/huge_magma
execute if score @s sflb_result matches 43 run function sflb_drops:super_furious/mobs/huge_slime
execute if score @s sflb_result matches 44 run function sflb_drops:super_furious/mobs/illusioners
execute if score @s sflb_result matches 45 run function sflb_drops:super_furious/mobs/mansion
execute if score @s sflb_result matches 46 run function sflb_drops:super_furious/mobs/nether
execute if score @s sflb_result matches 47 run function sflb_drops:super_furious/mobs/ocean
execute if score @s sflb_result matches 48 run function sflb_drops:super_furious/mobs/raid_party
execute if score @s sflb_result matches 49 run function sflb_drops:super_furious/mobs/slimenado
execute if score @s sflb_result matches 50 run function sflb_drops:super_furious/mobs/witches_and_bats
execute if score @s sflb_result matches 51 run function sflb_drops:super_furious/mobs/wither
execute if score @s sflb_result matches 52 run function sflb_drops:super_furious/others/barrier_land
execute if score @s sflb_result matches 53 run function sflb_drops:super_furious/others/bedrock_land
execute if score @s sflb_result matches 54 run function sflb_drops:super_furious/others/giant_explosion
execute if score @s sflb_result matches 55 run function sflb_drops:super_furious/others/space
execute if score @s sflb_result matches 56 run function sflb_drops:super_furious/others/tnt_minecart_intersect
execute if score @s sflb_result matches 57 run function sflb_drops:super_furious/others/tnt_primed
execute if score @s sflb_result matches 58 run function sflb_drops:super_furious/others/void
execute if score @s sflb_result matches 59 run function sflb_drops:super_furious/structures/update/1.4.2
execute if score @s sflb_result matches 60 run function sflb_drops:super_furious/structures/update/1.14
execute if score @s sflb_result matches 61 run function sflb_drops:super_furious/traps/cobweb_hole_trap
execute if score @s sflb_result matches 62 run function sflb_drops:super_furious/traps/honey_fall
execute if score @s sflb_result matches 63 run function sflb_drops:super_furious/traps/slow_trap
execute if score @s sflb_result matches 64 run function sflb_drops:super_furious/traps/thick_obsidian_trap
execute if score @s sflb_result matches 65 run function sflb_drops:super_furious/traps/tnt_surround_trap
execute if score @s sflb_result matches 66 run function sflb_drops:super_furious/traps/tnt_trap
execute if score @s sflb_result matches 67 run function sflb_drops:super_furious/traps/water_maze_trap
execute if score @s sflb_result matches 68 run function sflb_drops:super_furious/traps/soul_fire_trap
execute if score @s sflb_result matches 69 run function sflb_drops:super_furious/mobs/hoglin
execute if score @s sflb_result matches 70 run function sflb_drops:super_furious/mobs/piglin
execute if score @s sflb_result matches 71 run function sflb_drops:super_furious/mobs/zoglin
execute if score @s sflb_result matches 72 run function sflb_drops:super_furious/mobs/zombified_piglin
execute if score @s sflb_result matches 73 run function sflb_drops:super_furious/traps/tnt_target_trap