# Kill Self if cancelled
execute as @e[tag=sflb_blackhole] at @s unless block ~ ~ ~ bedrock run kill @s

# Tag Exception to Players in Creative and Spectator Mode
execute as @e[tag=sflb_blackhole] run tag @a[gamemode=creative,tag=!sflb_bh_exception] add sflb_bh_exception
execute as @e[tag=sflb_blackhole] run tag @a[gamemode=spectator,tag=!sflb_bh_exception] add sflb_bh_exception
execute as @e[tag=sflb_blackhole] run tag @a[gamemode=survival,tag=sflb_bh_exception] remove sflb_bh_exception
execute as @e[tag=sflb_blackhole] run tag @a[gamemode=adventure,tag=sflb_bh_exception] remove sflb_bh_exception
execute at @e[tag=sflb_blackhole] unless block ~ ~ ~ bedrock run tag @e[tag=sflb_bh_exception] remove sflb_bh_exception

# If reached center
execute at @e[tag=sflb_blackhole] run tp @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=0.1..0.7] ~ -300 ~

# Phase 0 (Initial)
execute as @e[tag=sflb_blackhole,nbt={Age:1}] run scoreboard players set @s sflb_phase 0
execute as @e[tag=sflb_blackhole,nbt={Age:1}] run weather thunder 3500
execute at @e[tag=sflb_blackhole,nbt={Age:1}] run title @a[distance=..200] title {"translate":"title.event.sfluckyblock.blackhole_run_now","color":"red"}
execute at @e[tag=sflb_blackhole,nbt={Age:1}] run title @a[distance=..200] subtitle {"translate":"subtitle.event.sfluckyblock.blackhole_incoming","color":"black"}
execute at @e[tag=sflb_blackhole,scores={sflb_phase=0}] run title @a[distance=..200] actionbar {"with":[{"translate":"key.categories.creative","color":"yellow"},{"translate":"block.minecraft.bedrock","color":"yellow"}],"translate":"actionbar.event.sfluckyblock.blackhole_cancel","italic":"true"}

# Phase 1
execute as @e[tag=sflb_blackhole,nbt={Age:200}] run scoreboard players set @s sflb_phase 1
execute as @e[tag=sflb_blackhole,scores={sflb_phase=0..1}] run time add 10
execute at @e[tag=sflb_blackhole,scores={sflb_phase=0..1}] run particle portal ~ ~ ~ 3 3 3 0.01 100 force
execute at @e[tag=sflb_blackhole,scores={sflb_phase=1..5}] run fill ~1 ~-1 ~-1 ~-1 ~1 ~1 end_gateway replace #sflb_main:air
execute at @e[tag=sflb_blackhole,scores={sflb_phase=1..5}] run fill ~1 ~-1 ~-1 ~-1 ~1 ~1 end_gateway replace #sflb_main:breakable
execute at @e[tag=sflb_blackhole,scores={sflb_phase=1}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.3

# Phase 2
execute as @e[tag=sflb_blackhole,nbt={Age:600}] run scoreboard players set @s sflb_phase 2
execute at @e[tag=sflb_blackhole,nbt={Age:600}] run summon tnt ~ ~ ~
execute at @e[tag=sflb_blackhole,scores={sflb_phase=2}] run fill ~5 ~-5 ~-5 ~-5 ~5 ~5 air replace #sflb_main:breakable
execute at @e[tag=sflb_blackhole,scores={sflb_phase=2}] run fill ~5 ~-5 ~-5 ~-5 ~5 ~5 air replace #sflb_main:liquids
execute at @e[tag=sflb_blackhole,scores={sflb_phase=2}] run particle portal ~ ~ ~ 7 7 7 0.01 100 force
execute as @e[tag=sflb_blackhole,scores={sflb_phase=2}] run time add 60
execute at @e[tag=sflb_blackhole,scores={sflb_phase=2}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^1
execute at @e[tag=sflb_blackhole,scores={sflb_phase=2}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..25] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.3

# Phase 3
execute as @e[tag=sflb_blackhole,nbt={Age:1200}] run scoreboard players set @s sflb_phase 3
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon creeper ~2 ~ ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon creeper ~-2 ~ ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon creeper ~ ~2 ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon creeper ~ ~-2 ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon creeper ~ ~ ~2 {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon creeper ~ ~ ~-2 {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1200}] run summon lightning_bolt ~ ~ ~
execute at @e[tag=sflb_blackhole,nbt={Age:1201}] run summon lightning_bolt ~10 ~ ~
execute at @e[tag=sflb_blackhole,nbt={Age:1202}] run summon lightning_bolt ~-10 ~ ~
execute at @e[tag=sflb_blackhole,nbt={Age:1203}] run summon lightning_bolt ~ ~ ~10
execute at @e[tag=sflb_blackhole,nbt={Age:1204}] run summon lightning_bolt ~ ~ ~-10
execute at @e[tag=sflb_blackhole,scores={sflb_phase=3}] run fill ~7 ~-7 ~-7 ~-7 ~7 ~7 air replace #sflb_main:breakable
execute at @e[tag=sflb_blackhole,scores={sflb_phase=3}] run fill ~7 ~-7 ~-7 ~-7 ~7 ~7 air replace #sflb_main:liquids
execute at @e[tag=sflb_blackhole,scores={sflb_phase=3}] run particle portal ~ ~ ~ 7 7 7 0.01 100 force
execute as @e[tag=sflb_blackhole,scores={sflb_phase=3}] run time add 60
execute at @e[tag=sflb_blackhole,scores={sflb_phase=3}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^1
execute at @e[tag=sflb_blackhole,scores={sflb_phase=3}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..25] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.5
execute at @e[tag=sflb_blackhole,scores={sflb_phase=3}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..50] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.3

# Phase 4
execute as @e[tag=sflb_blackhole,nbt={Age:1800}] run scoreboard players set @s sflb_phase 4
execute at @e[tag=sflb_blackhole,nbt={Age:1800}] run summon creeper ~5 ~ ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1800}] run summon creeper ~-5 ~ ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1800}] run summon creeper ~ ~5 ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1800}] run summon creeper ~ ~-5 ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1800}] run summon creeper ~ ~ ~5 {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:1800}] run summon creeper ~ ~ ~-5 {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] run summon lightning_bolt ~ ~ ~
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] run fill ~10 ~-10 ~-10 ~-10 ~10 ~10 air replace #sflb_main:breakable
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] run fill ~10 ~-10 ~-10 ~-10 ~10 ~10 air replace #sflb_main:liquids
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] run particle portal ~ ~ ~ 11 11 11 0.01 100 force
execute as @e[tag=sflb_blackhole,scores={sflb_phase=4}] run time add 300
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^2
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..25] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^1
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..50] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.5
execute at @e[tag=sflb_blackhole,scores={sflb_phase=4}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..75] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.3

# Phase 5
execute as @e[tag=sflb_blackhole,nbt={Age:2400}] run scoreboard players set @s sflb_phase 5
execute at @e[tag=sflb_blackhole,nbt={Age:2400}] run summon creeper ~10 ~ ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:2400}] run summon creeper ~-10 ~ ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:2400}] run summon creeper ~ ~10 ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:2400}] run summon creeper ~ ~-10 ~ {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:2400}] run summon creeper ~ ~ ~10 {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,nbt={Age:2400}] run summon creeper ~ ~ ~-10 {ExplosionRadius:100b,Fuse:0s,ignited:1b,CustomName:'{"translate":"name.sfluckyblock.blackhole","color":"dark_purple"}',Tags:["sflb_bh_exception"],Invulnerable:1b}
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] run summon lightning_bolt ~ ~ ~
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] at @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..2] run summon lightning_bolt ~ ~ ~
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] run fill ~10 ~-10 ~-10 ~-10 ~10 ~10 air replace #sflb_main:breakable
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] run fill ~10 ~-10 ~-10 ~-10 ~10 ~10 air replace #sflb_main:liquids
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] run particle portal ~ ~ ~ 11 11 11 0.01 100 force
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] run particle smoke ~ ~ ~ 1 11 1 0.01 100 force
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] run playsound minecraft:block.fire.extinguish ambient @a[distance=..50] ~ ~ ~ 0.5
execute as @e[tag=sflb_blackhole,scores={sflb_phase=5}] run time add 600
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^5
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..25] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^2
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..50] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^1
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..75] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.5
execute at @e[tag=sflb_blackhole,scores={sflb_phase=5}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..100] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.3

# Death
execute as @e[tag=sflb_blackhole,nbt={Age:3000}] run scoreboard players set @s sflb_phase 6
execute as @e[tag=sflb_blackhole,nbt={Age:3000}] run weather clear
execute at @e[tag=sflb_blackhole,nbt={Age:3000}] run fill ~1 ~-1 ~-1 ~-1 ~1 ~1 air replace end_gateway
execute at @e[tag=sflb_blackhole,nbt={Age:3000}] run summon tnt ~ ~ ~
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] at @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] run summon lightning_bolt ~ ~ ~
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] run fill ~10 ~-10 ~-10 ~-10 ~10 ~10 air replace #sflb_main:breakable
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] run fill ~10 ~-10 ~-10 ~-10 ~10 ~10 air replace #sflb_main:liquids
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] run particle portal ~ ~ ~ 11 11 11 0.01 100 force
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] run particle smoke ~ ~ ~ 1 11 1 0.01 100 force
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] run playsound minecraft:block.fire.extinguish ambient @a[distance=..100] ~ ~ ~ 0.5
execute as @e[tag=sflb_blackhole,scores={sflb_phase=6}] run time add 1200
execute at @e[tag=sflb_blackhole,scores={sflb_phase=6}] as @e[type=!#sflb_main:bh_exception,tag=!sflb_bh_exception,distance=..10] at @s facing entity @e[tag=sflb_blackhole,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.3

# Exhaust
execute at @e[tag=sflb_blackhole,nbt={Age:4000}] run playsound minecraft:block.fire.extinguish ambient @a[distance=..200] ~ ~ ~ 10
execute at @e[tag=sflb_blackhole,nbt={Age:4000}] run playsound minecraft:entity.ender_dragon.growl master @a[distance=..200] ~ ~ ~ 10
execute at @e[tag=sflb_blackhole,nbt={Age:4000}] run particle cloud ~ ~ ~ 1 1 1 0.01 50 force
execute at @e[tag=sflb_blackhole,nbt={Age:4000}] run tag @e remove sflb_bh_exception
execute at @e[tag=sflb_blackhole,nbt={Age:4000}] run setblock ~ ~ ~ end_gateway{ExitPortal:{X:0,Y:-300,Z:0},ExactTeleport:1}

# Loop
execute if entity @e[tag=sflb_blackhole] run schedule function sflb_effects:loops/blackhole 1t replace