# Loogi Animation
execute as @e[tag=sflb_loogi,nbt={Age:1}] at @s run playsound sfluckyblock:pat_and_jen/loogi master @a[distance=..25] ~ ~ ~ 1
execute as @e[tag=sflb_loogi] at @s run particle cloud ~2 ~-2 ~ 1 2 1 0.01 1 force
execute as @e[tag=sflb_loogi] at @s run particle smoke ~-2 ~-2 ~ 1 2 1 0.01 1 force
execute as @e[tag=sflb_loogi,nbt={Age:1}] at @s run summon armor_stand ~2 ~ ~ {Rotation:[90f,0f],Invulnerable:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:15581092}}},{id:"leather_leggings",Count:1b,tag:{display:{color:15581092}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:15432902}}},{id:"player_head",Count:1b,tag:{SkullOwner:"SuperGirlyGamer"}}],HandItems:[{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"Luigi"}},{}],CustomName:"{\"text\":\"SuperGirlyGamer\"}",CustomNameVisible:1b,Pose:{Head:[8f,0f,0f],RightArm:[300f,0f,0f],LeftLeg:[20f,0f,347f],RightLeg:[16f,0f,13f]},Tags:["sflb_armor_stand_loogi_jen"]}
execute as @e[tag=sflb_loogi,nbt={Age:1}] at @s run summon armor_stand ~-2 ~ ~ {Rotation:[-90f,0f],Invulnerable:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:0}}},{id:"leather_leggings",Count:1b,tag:{display:{color:0}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:0}}},{id:"player_head",Count:1b,tag:{SkullOwner:"FuriousDestroyer"}}],CustomName:"{\"text\":\"FuriousDestroyer\"}",CustomNameVisible:1b,Pose:{Head:[8f,0f,0f],LeftLeg:[20f,0f,347f],RightLeg:[16f,0f,13f]},Tags:["sflb_armor_stand_loogi_pat"]}

# Poses
execute as @e[tag=sflb_loogi,nbt={Age:70}] as @e[tag=sflb_armor_stand_loogi_pat,limit=1,sort=nearest] run data merge entity @s {Pose:{RightArm:[300f,0f,0f]}}
execute as @e[tag=sflb_loogi,nbt={Age:160}] as @e[tag=sflb_armor_stand_loogi_jen,limit=1,sort=nearest] run data merge entity @s {Pose:{RightArm:[280f,320f,320f]}}
execute as @e[tag=sflb_loogi,nbt={Age:190}] as @e[tag=sflb_armor_stand_loogi_jen,limit=1,sort=nearest] run data merge entity @s {Pose:{RightArm:[300f,0f,0f]}}
execute as @e[tag=sflb_loogi,nbt={Age:220}] as @e[tag=sflb_armor_stand_loogi_jen,limit=1,sort=nearest] run data merge entity @s {HandItems:[{},{}]}
execute as @e[tag=sflb_loogi,nbt={Age:220}] at @s run summon lightning_bolt ~ ~ ~
execute as @e[tag=sflb_loogi,nbt={Age:230}] as @e[tag=sflb_armor_stand_loogi_pat,limit=1,sort=nearest] run data merge entity @s {Pose:{Head:[322f,0f,0f]}}
execute as @e[tag=sflb_loogi,nbt={Age:230}] as @e[tag=sflb_armor_stand_loogi_jen,limit=1,sort=nearest] run data merge entity @s {Pose:{Head:[322f,0f,0f]}}

# Luigi
execute as @e[tag=sflb_loogi,nbt={Age:230}] at @s run summon armor_stand ~ ~2 ~ {Invulnerable:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:8241182}}},{id:"leather_leggings",Count:1b,tag:{display:{color:8241182}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:8241182}}},{id:"player_head",Count:1b,tag:{SkullOwner:"Luigi"}}],CustomName:"{\"text\":\"Luigi\"}",CustomNameVisible:1b,Pose:{Head:[8f,0f,0f],LeftLeg:[20f,0f,347f],RightLeg:[16f,0f,13f]},Tags:["sflb_armor_stand_loogi_luigi"]}
execute as @e[tag=sflb_loogi,nbt={Age:230}] at @s run playsound sfluckyblock:others/luigi_time master @a[distance=..25] ~ ~ ~ 1

# Luigi Summoning
execute as @e[tag=sflb_loogi,nbt={Age:230}] as @e[tag=sflb_armor_stand_loogi_luigi,limit=1,sort=nearest] at @s run tp @s ~ ~ ~ facing entity @p
execute as @e[tag=sflb_loogi] as @e[tag=sflb_armor_stand_loogi_luigi,limit=1,sort=nearest] at @s run tp @s ~ ~0.025 ~
execute as @e[tag=sflb_loogi,nbt={Age:250}] as @e[tag=sflb_armor_stand_loogi_luigi,limit=1,sort=nearest] run data merge entity @s {Pose:{Head:[322f,0f,0f],LeftLeg:[20f,0f,347f],RightLeg:[16f,0f,13f],LeftArm:[0f,0f,238f],RightArm:[0f,0f,129f]}}
execute as @e[tag=sflb_loogi,nbt={Age:230}] as @e[tag=sflb_armor_stand_loogi_luigi,limit=1,sort=nearest] at @s run particle minecraft:enchant ~ ~1 ~ 5 5 5 1 10 force

# Parkour Prepare
execute as @e[tag=sflb_loogi,nbt={Age:251}] at @s run setblock ~ ~11 ~ black_concrete
execute as @e[tag=sflb_loogi,nbt={Age:256}] at @s run setblock ~4 ~9 ~-3 white_concrete
execute as @e[tag=sflb_loogi,nbt={Age:261}] at @s run setblock ~3 ~7 ~2 red_concrete
execute as @e[tag=sflb_loogi,nbt={Age:266}] at @s run setblock ~1 ~3 ~ orange_concrete
execute as @e[tag=sflb_loogi,nbt={Age:271}] at @s run setblock ~-4 ~ ~4 yellow_concrete
execute as @e[tag=sflb_loogi,nbt={Age:276}] at @s run setblock ~2 ~-2 ~3 green_concrete
execute as @e[tag=sflb_loogi,nbt={Age:281}] at @s run setblock ~ ~-3 ~ blue_concrete
execute as @e[tag=sflb_loogi,nbt={Age:286}] at @s run setblock ~1 ~-4 ~2 purple_concrete
execute as @e[tag=sflb_loogi,nbt={Age:291}] at @s run setblock ~-4 ~-5 ~-4 magenta_concrete
execute as @e[tag=sflb_loogi,nbt={Age:296}] at @s run setblock ~3 ~-6 ~-1 pink_concrete
execute as @e[tag=sflb_loogi,nbt={Age:296}] at @s run summon item ~ ~12 ~ {Item:{id:"minecraft:leather_helmet",Count:1b,tag:{display:{Name:'{"with":[{"text":"Luigi"}],"translate":"item.sfluckyblock.custom.luigi_cap","color":"green","bold":true,"italic":false}',Lore:['{"translate":"lore.sfluckyblock.effects","color":"gray","italic":false}','{"with":[{"translate":"effect.minecraft.jump_boost"},{"translate":"potion.potency.4"}],"translate":"lore.sfluckyblock.effect_name","color":"blue","italic":false}','{"with":[{"translate":"effect.minecraft.speed"},{"translate":"potion.potency.4"}],"translate":"lore.sfluckyblock.effect_name","color":"blue","italic":false}','{"with":[{"translate":"effect.minecraft.strength"},{"translate":"potion.potency.0"}],"translate":"lore.sfluckyblock.effect_name","color":"blue","italic":false}'],color:8241182},CustomModelData:5317013,SFLBspecialarmor:1,Unbreakable:1b,RepairCost:128}},Age:4800s,Invulnerable:1,Glowing:1}
execute as @e[tag=sflb_loogi,nbt={Age:300}] at @s run summon lightning_bolt ~ ~20 ~
execute as @e[tag=sflb_loogi,nbt={Age:300}] at @s run title @a[distance=..20] title {"translate":"title.event.sfluckyblock.loogi_time","color":"green"}
execute as @e[tag=sflb_loogi,nbt={Age:300}] at @s run title @a[distance=..20] subtitle {"with":[{"text":"Luigi"}],"translate":"subtitle.event.sfluckyblock.get_luigi_cap","color":"green"}
execute as @e[tag=sflb_loogi,nbt={Age:300}] at @s run effect give @a[distance=..20] jump_boost 60 4 true
execute as @e[tag=sflb_loogi,nbt={Age:300}] at @s run effect give @a[distance=..20] speed 60 4 true

# Finish
execute as @e[tag=sflb_loogi,nbt={Age:319}] as @e[tag=sflb_armor_stand_loogi_pat,limit=1,sort=nearest] run particle minecraft:flash ~ ~1 ~ 1 1 1 0.1 5 force
execute as @e[tag=sflb_loogi,nbt={Age:319}] as @e[tag=sflb_armor_stand_loogi_jen,limit=1,sort=nearest] run particle minecraft:flash ~ ~1 ~ 1 1 1 0.1 5 force
execute as @e[tag=sflb_loogi,nbt={Age:319}] as @e[tag=sflb_armor_stand_loogi_luigi,limit=1,sort=nearest] run particle minecraft:flash ~ ~1 ~ 1 1 1 0.1 5 force
execute as @e[tag=sflb_loogi,nbt={Age:320}] as @e[tag=sflb_armor_stand_loogi_pat,limit=1,sort=nearest] run kill @s
execute as @e[tag=sflb_loogi,nbt={Age:320}] as @e[tag=sflb_armor_stand_loogi_jen,limit=1,sort=nearest] run kill @s
execute as @e[tag=sflb_loogi,nbt={Age:320}] as @e[tag=sflb_armor_stand_loogi_luigi,limit=1,sort=nearest] run kill @s

# Re-schedule Function
execute if entity @e[tag=sflb_loogi] run schedule function sflb_effects:loops/loogi 1t replace