# Lengthen Duration
execute as @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:1}] unless entity @e[tag=sflb_armor_stand_rainbow_boss,distance=..5] run data modify entity @s Duration set value 301

# Defeat Tellraw
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] as @p if entity @s[advancements={sflb_main:super_furious/defeat_rainbow_boss=false}] run tellraw @a[distance=..118] [{"text":"<","color":"dark_aqua"},{"translate":"name.sfluckyblock.boss.rainbow"},{"text":"> ","color":"dark_aqua"},{"with":[{"selector":"@s"},{"selector":"@e[tag=sflb_boss,limit=1,sort=nearest]"}],"translate":"tellraw.boss.sfluckyblock.rainbow_boss.defeated","color":"white"}]

execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] as @p if entity @s[advancements={sflb_main:super_furious/defeat_rainbow_boss=true}] run tellraw @a[distance=..118] [{"text":"<","color":"dark_aqua"},{"translate":"name.sfluckyblock.boss.rainbow"},{"text":"> ","color":"dark_aqua"},{"with":[{"selector":"@s"},{"selector":"@e[tag=sflb_boss,limit=1,sort=nearest]"}],"translate":"tellraw.boss.sfluckyblock.rainbow_boss.defeated_again","color":"white"}]

# Grant Advancement
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] run advancement grant @p[advancements={sflb_main:super_furious/defeat_rainbow_boss=false}] only sflb_main:super_furious/defeat_rainbow_boss
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] run advancement grant @p[advancements={sflb_main:super_furious/defeat_rainbow_boss=true,sflb_main:super_furious/defeat_rainbow_boss_again=false},distance=..128] only sflb_main:super_furious/defeat_rainbow_boss_again

# Animation
execute at @e[tag=sflb_aec_rainbow_death_animation] run particle cloud ~ ~-3 ~ 0.1 2 0.1 0.01 10
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] positioned ~ ~ ~ run time set noon
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] positioned ~ ~ ~ run weather clear
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] positioned ~ ~6 ~ run function sflb_drops:rainbow/flowers
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:2}] positioned ~ ~ ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:100}] positioned ~ ~ ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:105}] positioned ~ ~1 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:110}] positioned ~ ~2 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:115}] positioned ~ ~3 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:120}] positioned ~ ~4 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:125}] positioned ~ ~5 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:130}] positioned ~ ~6 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:140}] positioned ~ ~6 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:150}] positioned ~ ~6 ~ run function sflb_drops:rainbow/colorful
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:150}] positioned ~ ~6 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:200}] positioned ~ ~6 ~ run function sflb_drops:rainbow/rainbow_items
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:200}] positioned ~ ~6 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:250}] positioned ~ ~6 ~ run function sflb_drops:rainbow/rainbow_beacons
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:250}] positioned ~ ~6 ~ run function sflb_effects:particles/explode_with_sound
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:300}] positioned ~ ~6 ~ align xz run summon minecraft:falling_block ~0.5 ~ ~0.5 {Motion:[0.0,2.0,0.0],Tags:["sflb_fall_netherite","sflb_effects"],BlockState:{Name:"minecraft:netherite_block",Count:1b},Time:1s}
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:300}] positioned ~ ~6 ~ run schedule function sflb_effects:falling_block 1t replace
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:300}] positioned ~ ~6 ~ run summon lightning_bolt ~ ~ ~
execute at @e[tag=sflb_aec_rainbow_death_animation,nbt={Age:300}] positioned ~ ~6 ~ run function sflb_effects:particles/explode_with_sound

# Loop Function
schedule function sflb_effects:loops/rainbow_death_animation 1t replace