# Initiation Animation
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation_item] at @s run particle end_rod ~ ~ ~ 0.1 -0.1 0.1 0.1 1
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:0}] at @s run setblock ~ ~-1 ~ bedrock
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:100}] run data modify entity @s CustomName set value '{"translate":"name.sfluckyblock.shrine.initiation","color":"light_purple","obfuscated":true}'

# Nether Brick Floor
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:100}] at @s run summon minecraft:area_effect_cloud ~ ~ ~ {Duration:50,Tags:["sflb_particle","sflb_particle_destruction"]}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:100}] at @s run function sflb_effects:particles
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:100}] at @s run playsound minecraft:block.portal.travel block @a[distance=..20] ~ ~ ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:150}] run time add 12000
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:150}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:150}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:150}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:150}] at @s run fill ~2 ~-1 ~-2 ~-2 ~-1 ~2 blackstone replace polished_blackstone

# Concrete Floor
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:200}] at @s run particle heart ~ ~ ~ 0.1 20 0.1 0.1 50
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:200}] at @s run time add 12000
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:200}] at @s run playsound minecraft:ui.toast.challenge_complete block @a[distance=..20] ~ ~ ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:200}] at @s run summon minecraft:area_effect_cloud ~ ~ ~ {Duration:50,Tags:["sflb_particle","sflb_particle_rainbow_slow"]}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:200}] at @s run function sflb_effects:particles
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:225}] at @s run clone ~1 ~-1 ~1 ~1 ~-1 ~1 ~2 ~-1 ~2 replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:225}] at @s run clone ~1 ~-1 ~-1 ~1 ~-1 ~-1 ~2 ~-1 ~-2 replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:225}] at @s run clone ~-1 ~-1 ~1 ~-1 ~-1 ~1 ~-2 ~-1 ~2 replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:225}] at @s run clone ~-1 ~-1 ~-1 ~-1 ~-1 ~-1 ~-2 ~-1 ~-2 replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:225}] at @s run fill ~-1 ~-1 ~1 ~1 ~-1 ~-1 obsidian replace #sflb_main:concrete
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:225}] at @s run summon lightning_bolt ~ ~ ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:230}] at @s run setblock ~-1 ~ ~1 blackstone_stairs[facing=north,shape=outer_left]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:235}] at @s run setblock ~ ~ ~1 purpur_stairs[facing=north]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:240}] at @s run setblock ~1 ~ ~1 blackstone_stairs[facing=west,shape=outer_right]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:245}] at @s run setblock ~1 ~ ~ purpur_stairs[facing=west]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:250}] at @s run setblock ~1 ~ ~-1 blackstone_stairs[facing=south,shape=outer_right]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:255}] at @s run setblock ~ ~ ~-1 purpur_stairs[facing=south]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:260}] at @s run setblock ~-1 ~ ~-1 blackstone_stairs[facing=east,shape=outer_right]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:265}] at @s run setblock ~-1 ~ ~ purpur_stairs[facing=east]

# Pillars
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:300}] at @s run particle end_rod ~3 ~ ~ 0.1 20 0.1 0.1 50
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:350}] at @s run particle end_rod ~-3 ~ ~ 0.1 20 0.1 0.1 50
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:400}] at @s run particle end_rod ~ ~ ~3 0.1 20 0.1 0.1 50
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:450}] at @s run particle end_rod ~ ~ ~-3 0.1 20 0.1 0.1 50
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:300}] at @s run playsound minecraft:entity.generic.extinguish_fire block @a[distance=..20] ~ ~ ~ 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:350}] at @s run playsound minecraft:entity.generic.extinguish_fire block @a[distance=..20] ~ ~ ~ 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:400}] at @s run playsound minecraft:entity.generic.extinguish_fire block @a[distance=..20] ~ ~ ~ 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:450}] at @s run playsound minecraft:entity.generic.extinguish_fire block @a[distance=..20] ~ ~ ~ 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:325}] at @s run summon lightning_bolt ~3 ~1.5 ~ 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:375}] at @s run summon lightning_bolt ~-3 ~1.5 ~ 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:425}] at @s run summon lightning_bolt ~ ~1.5 ~3 
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:475}] at @s run summon lightning_bolt ~ ~1.5 ~-3
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:325}] at @s run setblock ~3 ~1.5 ~ end_portal_frame[eye=true,facing=west]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:375}] at @s run setblock ~-3 ~1.5 ~ end_portal_frame[eye=true,facing=east]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:425}] at @s run setblock ~ ~1.5 ~3 end_portal_frame[eye=true,facing=north]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:475}] at @s run setblock ~ ~1.5 ~-3 end_portal_frame[eye=true,facing=south]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:325}] at @s run playsound minecraft:block.end_portal_frame.fill block @a[distance=..20] ~3 ~1.5 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:375}] at @s run playsound minecraft:block.end_portal_frame.fill block @a[distance=..20] ~-3 ~1.5 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:425}] at @s run playsound minecraft:block.end_portal_frame.fill block @a[distance=..20] ~ ~1.5 ~3
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:475}] at @s run playsound minecraft:block.end_portal_frame.fill block @a[distance=..20] ~ ~1.5 ~-3
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run playsound minecraft:block.piston.contract block @a[distance=..20] ~ ~ ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run clone ~3 ~ ~ ~3 ~2 ~ ~3 ~-1 ~ replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run clone ~-3 ~ ~ ~-3 ~2 ~ ~-3 ~-1 ~ replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run clone ~ ~ ~3 ~ ~2 ~3 ~ ~-1 ~3 replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run clone ~ ~ ~-3 ~ ~2 ~-3 ~ ~-1 ~-3 replace move
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run setblock ~2 ~-1 ~ purpur_pillar[axis=x]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run setblock ~-2 ~-1 ~ purpur_pillar[axis=x]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run setblock ~ ~-1 ~2 purpur_pillar[axis=z]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run setblock ~ ~-1 ~-2 purpur_pillar[axis=z]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] at @s run setblock ~ ~ ~ end_gateway
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:500}] run data modify entity @s CustomNameVisible set value 0

# Final
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:525}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:550}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:575}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon lightning_bolt ~ ~-0.25 ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:525}] at @s run fill ~3 ~ ~1 ~3 ~ ~-1 blackstone_stairs[facing=east] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:525}] at @s run fill ~4 ~ ~1 ~4 ~ ~-1 blackstone_stairs[facing=west] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:525}] at @s run fill ~3 ~1 ~1 ~3 ~1 ~-1 blackstone_stairs[facing=east,half=top] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:550}] at @s run fill ~-3 ~ ~1 ~-3 ~ ~-1 blackstone_stairs[facing=west] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:550}] at @s run fill ~-4 ~ ~1 ~-4 ~ ~-1 blackstone_stairs[facing=east] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:550}] at @s run fill ~-3 ~1 ~1 ~-3 ~1 ~-1 blackstone_stairs[facing=west,half=top] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:575}] at @s run fill ~1 ~ ~3 ~-1 ~ ~3 blackstone_stairs[facing=south] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:575}] at @s run fill ~1 ~ ~4 ~-1 ~ ~4 blackstone_stairs[facing=north] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:575}] at @s run fill ~1 ~1 ~3 ~-1 ~1 ~3 blackstone_stairs[facing=south,half=top] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run fill ~1 ~ ~-3 ~-1 ~ ~-3 blackstone_stairs[facing=north] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run fill ~1 ~ ~-4 ~-1 ~ ~-4 blackstone_stairs[facing=south] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run fill ~1 ~1 ~-3 ~-1 ~1 ~-3 blackstone_stairs[facing=north,half=top] replace #sflb_main:air
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run setblock ~ ~ ~ cauldron[level=0]
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon lightning_bolt ~ ~ ~
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon area_effect_cloud ~ ~ ~ {Duration:1000000,Tags:["sflb_shrine_center"],CustomName:'{"translate":"name.sfluckyblock.shrine.center","color":"light_purple"}',CustomNameVisible:1b}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon area_effect_cloud ~-3 ~1 ~ {Duration:1000000,Tags:["sflb_shrine_pillar","sflb_shrine_pillar_x","sflb_shrine_pillar_neg_x"],CustomName:'{"translate":"name.sfluckyblock.shrine.pillar"}',CustomNameVisible:1b}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon area_effect_cloud ~3 ~1 ~ {Duration:1000000,Tags:["sflb_shrine_pillar","sflb_shrine_pillar_x","sflb_shrine_pillar_pos_x"],CustomName:'{"translate":"name.sfluckyblock.shrine.pillar"}',CustomNameVisible:1b}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon area_effect_cloud ~ ~1 ~-3 {Duration:1000000,Tags:["sflb_shrine_pillar","sflb_shrine_pillar_z","sflb_shrine_pillar_neg_z"],CustomName:'{"translate":"name.sfluckyblock.shrine.pillar"}',CustomNameVisible:1b}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run summon area_effect_cloud ~ ~1 ~3 {Duration:1000000,Tags:["sflb_shrine_pillar","sflb_shrine_pillar_z","sflb_shrine_pillar_pos_z"],CustomName:'{"translate":"name.sfluckyblock.shrine.pillar"}',CustomNameVisible:1b}
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run schedule function sflb_main:shrine/idle 1s replace
execute if entity @e[tag=sflb_shrine_initiation] as @e[tag=sflb_shrine_initiation,nbt={Age:600}] at @s run function sflb_effects:particles/explode

# Re-schedule Animation
execute if entity @e[tag=sflb_shrine_initiation] run schedule function sflb_effects:loops/shrine_initiation 1t replace