# Initialize
execute if entity @e[tag=sflb_destruction_atk] as @e[type=player,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},tag=sflb_destruction_atk] at @s if predicate sflb_utilities:not_on_ground run effect give @s minecraft:levitation 1 128 true
execute if entity @e[tag=sflb_destruction_atk] as @e[type=!player,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},tag=sflb_destruction_atk] at @s if predicate sflb_utilities:not_on_ground run data modify entity @s Motion[1] set value -4.0d

# Ground Pound
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground run particle crit ~ ~0.5 ~ 3 0.1 3 0.01 150
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground run playsound minecraft:entity.generic.explode player @a[distance=..10] ~ ~ ~

# Damage Mobs
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground as @e[type=!player,type=!#sflb_main:exception,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},distance=0.1..5] store result entity @s Health float 1 run data get entity @s Health 0.8
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground as @e[type=!player,type=!#sflb_main:exception,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},distance=0.1..5] at @s run tp @s ~ ~1 ~

# Damage Players
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground as @e[type=player,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},gamemode=!creative,gamemode=!spectator,distance=0.1..5] run effect give @s instant_damage 1 0 true
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground as @e[type=player,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},gamemode=!creative,gamemode=!spectator,distance=0.1..5] at @s run tp @s ~ ~1 ~

# Damage Effects
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground at @e[type=#sflb_main:mobs,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},distance=0.1..5] run particle crit ~ ~ ~ 0.5 0.5 0.5 0.01 20
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground at @e[type=#sflb_main:mobs,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},distance=0.1..5] run particle damage_indicator ~ ~ ~ 0.5 0.5 0.5 0.01 8

# Remove Tag
execute if entity @e[tag=sflb_destruction_atk] as @e[tag=sflb_destruction_atk] at @s unless predicate sflb_utilities:not_on_ground run tag @s remove sflb_destruction_atk

# Next Half-second
execute if entity @e[tag=sflb_destruction_atk] run schedule function sflb_items:loop/ground_pound 1t replace