# Recharging
execute if score @s sflb_use_item matches ..-1 run scoreboard players add @s sflb_use_item 1

# Charging
execute if score @s sflb_use_item matches 1.. run scoreboard players add @s sflb_use_item 1

# Faster Charging via Sneaking
execute if score @s sflb_use_item matches 1.. if predicate sflb_items:sneaking run scoreboard players add @s sflb_use_item 1

# Effects
execute if score @s sflb_use_item matches 3 at @s run playsound minecraft:block.beacon.power_select player @a[distance=..10] ~ ~ ~ 1 1.5 0.5
execute if score @s sflb_use_item matches 1.. at @s run particle minecraft:enchant ~ ~1 ~ 0.2 0.5 0.2 1 5
execute if score @s sflb_use_item matches 1..9 run effect give @s minecraft:slowness 1 1 true
execute if score @s sflb_use_item matches 10..19 run effect give @s minecraft:slowness 1 2 true
execute if score @s sflb_use_item matches 20..29 run effect give @s minecraft:slowness 1 3 true
execute if score @s sflb_use_item matches 30..39 run effect give @s minecraft:slowness 1 4 true

# Actionbar Charge
execute if score @s sflb_use_item matches -50..-46 run title @s actionbar [{"with":[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"dark_gray"}],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -45..-41 run title @s actionbar [{"with":[[{"text":"⬛","color":"white"},{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -40..-36 run title @s actionbar [{"with":[[{"text":"⬛⬛","color":"white"},{"text":"⬛⬛⬛⬛⬛⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -35..-31 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛","color":"white"},{"text":"⬛⬛⬛⬛⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -30..-26 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛","color":"white"},{"text":"⬛⬛⬛⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -25..-21 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛","color":"white"},{"text":"⬛⬛⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -20..-16 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛","color":"white"},{"text":"⬛⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -15..-11 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛⬛","color":"white"},{"text":"⬛⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -10..-6 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛","color":"white"},{"text":"⬛⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches -5..-1 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"white"},{"text":"⬛","color":"dark_gray"}]],"translate":"actionbar.special.sfluckyblock.recharging","color":"gray"}]
execute if score @s sflb_use_item matches 0 run title @s actionbar [{"with":[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"white"}],"translate":"actionbar.special.sfluckyblock.recharged","color":"white"}]
execute if score @s sflb_use_item matches 1..5 run title @s actionbar [{"with":[[{"text":"⬛","color":"yellow"},{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 6..10 run title @s actionbar [{"with":[[{"text":"⬛⬛","color":"yellow"},{"text":"⬛⬛⬛⬛⬛⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 11..15 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛","color":"yellow"},{"text":"⬛⬛⬛⬛⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 16..20 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛","color":"yellow"},{"text":"⬛⬛⬛⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 21..25 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛","color":"yellow"},{"text":"⬛⬛⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 26..30 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛","color":"yellow"},{"text":"⬛⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 31..35 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛⬛","color":"yellow"},{"text":"⬛⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 36..40 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛","color":"yellow"},{"text":"⬛⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 41..45 run title @s actionbar [{"with":[[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"yellow"},{"text":"⬛","color":"white"}]],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]
execute if score @s sflb_use_item matches 46..50 run title @s actionbar [{"with":[{"text":"⬛⬛⬛⬛⬛⬛⬛⬛⬛⬛","color":"yellow"}],"translate":"actionbar.special.sfluckyblock.charging","color":"yellow"}]