# Pillars
execute as @e[tag=sflb_shrine_pillar] at @s[tag=!sflb_shrine_occupied] align xyz if entity @e[type=item,limit=1,dx=0,dy=1,dz=0,nbt={Item:{Count:1b}}] run function sflb_main:shrine/occupied
execute as @e[tag=sflb_shrine_pillar] at @s[tag=sflb_shrine_occupied] if entity @e[tag=sflb_shrine_pillar_item,limit=1,dx=0,dy=1,dz=0,nbt={Item:{Count:1b}}] if entity @p[distance=..1.5,predicate=sflb_items:sneaking] run function sflb_main:shrine/free
execute as @e[tag=sflb_shrine_pillar] at @s[tag=sflb_shrine_occupied] unless entity @e[tag=sflb_shrine_pillar_item,limit=1,dx=0,dy=1,dz=0,nbt={Item:{Count:1b}}] run function sflb_main:shrine/free
execute at @e[tag=sflb_shrine_pillar_item] run particle end_rod ~ ~ ~ 0.1 0.1 0.1 0.01 1

# Item Ritual
execute as @e[tag=sflb_shrine_center] at @s if block ~ ~ ~ minecraft:cauldron unless block ~ ~ ~ minecraft:cauldron[level=0] align xyz if entity @e[type=item,tag=!sflb_shrine_center_item,limit=1,dx=0,dy=0,dz=0,nbt={Item:{Count:1b}}] positioned ~0.5 ~0.5 ~0.5 if entity @e[tag=sflb_shrine_pillar_neg_x,tag=sflb_shrine_occupied,limit=1,distance=..10] if entity @e[tag=sflb_shrine_pillar_pos_x,tag=sflb_shrine_occupied,limit=1,distance=..10] if entity @e[tag=sflb_shrine_pillar_neg_z,tag=sflb_shrine_occupied,limit=1,distance=..10] if entity @e[tag=sflb_shrine_pillar_pos_z,tag=sflb_shrine_occupied,limit=1,distance=..10] run function sflb_main:shrine/craft

# Player Ritual
execute as @e[tag=sflb_shrine_center] at @s if block ~ ~ ~ minecraft:cauldron unless block ~ ~ ~ minecraft:cauldron[level=0] align xyz if entity @p[gamemode=!spectator,dx=0,dy=0,dz=0] positioned ~0.5 ~0.5 ~0.5 run function sflb_main:shrine/player_in

# Check if cauldron is removed
execute as @e[tag=sflb_shrine_center] at @s unless block ~ ~ ~ minecraft:cauldron align xyz positioned ~0.5 ~0.5 ~0.5 run function sflb_main:shrine/deactivated

# If deactivated
execute as @e[tag=sflb_shrine_deactivated] at @s if block ~ ~ ~ minecraft:cauldron align xyz positioned ~0.5 ~0.5 ~0.5 run function sflb_main:shrine/activated

# If bedrock beneath is destroyed
execute as @e[tag=sflb_shrine_deactivated] at @s unless block ~ ~-1 ~ minecraft:bedrock align xyz positioned ~0.5 ~0.5 ~0.5 run function sflb_main:shrine/destroyed

# Re-schedule Function
schedule function sflb_main:shrine/idle 5t replace