# Add one
scoreboard players add @s sflb_rc_dist 1

# Tag self as source
tag @s add sflb_raycast_source

# Set distance limit back to zero to halt raycasting
execute positioned ^ ^ ^0.25 unless block ~ ~ ~ #sflb_main:non-solid_blocks run scoreboard players set @s sflb_rc_distlim 0
execute positioned ^ ^ ^0.25 positioned ~-0.99 ~-0.99 ~-0.99 if entity @e[tag=!sflb_raycast_source,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},dx=0,dy=0,dz=0] run scoreboard players set @s sflb_rc_distlim 0

# Summon an AEC that when hit a block or an entity
execute positioned ^ ^ ^0.25 unless block ~ ~ ~ #sflb_main:non-solid_blocks run summon area_effect_cloud ~ ~ ~ {Duration:0,Tags:["sflb_raycast_hit_block","sflb_raycast_hit","sflb_raycast_source"]}
execute positioned ^ ^ ^0.25 positioned ~-0.99 ~-0.99 ~-0.99 if entity @e[tag=!sflb_raycast_source,tag=!sflb_raycast_invulnerable,nbt=!{Invulnerable:1b},dx=0,dy=0,dz=0] run summon area_effect_cloud ~ ~ ~ {Duration:0,Tags:["sflb_raycast_hit_entity","sflb_raycast_hit","sflb_raycast_source"]}

# Move forward a bit
execute if score @s sflb_rc_dist <= @s sflb_rc_distlim unless score @s sflb_rc_dist matches 0 positioned ^ ^ ^0.25 run function sflb_system:raycasting/raycast

# Summon an AEC that goes through
execute unless entity @e[tag=sflb_raycast_source,distance=..0.5] run summon area_effect_cloud ~ ~ ~ {Duration:0,Tags:["sflb_raycast_through","sflb_raycast_source"]}

# Reset score
scoreboard players set @s sflb_rc_dist 0

# Remove source tag
tag @s remove sflb_raycast_source